---
title: "EH2 Accountancy Practices & Registered Office Directory | ReguLex UK"
source_url: "https://regulex.uk/directory/postcode/EH2"
canonical_url: "https://regulex.uk/directory/postcode/EH2"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Statutory compliance registry for postal area EH2. Monitoring 105 accountancy practices and 177,484 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://regulex.uk/directory/postcode/EH2](https://regulex.uk/directory/postcode/EH2)
>
> *Statutory compliance registry for postal area EH2. Monitoring 105 accountancy practices and 177,484 co-located client companies against London Gazette strike-off notices and ECCTA 2023 mandates.*

## Appointed & Monitored Practices in EH2

| # | Practice Name & Address | Co-Located Portfolio | Statutory Status | Action |
| :--- | :--- | :--- | :--- | :--- |
| 1 | [AAA BUSINESS SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=SC202686) CRN: SC202686 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC202686) |
| 2 | [ACCOUNTECH SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=SC492625) CRN: SC492625 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC492625) |
| 3 | [ANLO FINANCIAL SOLUTIONS EDINBURGH LTD](https://regulex.uk/practice/dashboard?crn=SC550413) CRN: SC550413 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC550413) |
| 4 | [AR ACCOUNTANCY SERVICES SCOTLAND LIMITED](https://regulex.uk/practice/dashboard?crn=SC802452) CRN: SC802452 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC802452) |
| 5 | [AURORA UMBRELLA GROUP LTD](https://regulex.uk/practice/dashboard?crn=SC863709) CRN: SC863709 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC863709) |
| 6 | [BILAL AHMAD CONSULTANCY LIMITED](https://regulex.uk/practice/dashboard?crn=SC842655) CRN: SC842655 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC842655) |
| 7 | [CFO SCOT LTD.](https://regulex.uk/practice/dashboard?crn=SC669475) CRN: SC669475 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC669475) |
| 8 | [CLEARVIEW CHALMERS ADVISORY LTD](https://regulex.uk/practice/dashboard?crn=SC881409) CRN: SC881409 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC881409) |
| 9 | [CORE CONSULTING SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=SC785201) CRN: SC785201 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC785201) |
| 10 | [CRANSTON & CO ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=SC480282) CRN: SC480282 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC480282) |
| 11 | [EA INDEPENDENT LTD](https://regulex.uk/practice/dashboard?crn=SC572457) CRN: SC572457 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC572457) |
| 12 | [FLUID ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=SC494565) CRN: SC494565 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC494565) |
| 13 | [FRMWORK LTD](https://regulex.uk/practice/dashboard?crn=SC604028) CRN: SC604028 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC604028) |
| 14 | [GREENBANK FM LIMITED](https://regulex.uk/practice/dashboard?crn=SC598381) CRN: SC598381 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC598381) |
| 15 | [GREENBANK ACCOUNTANCY SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=SC369688) CRN: SC369688 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC369688) |
| 16 | [HEWITT CENTRAL LTD](https://regulex.uk/practice/dashboard?crn=SC785958) CRN: SC785958 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC785958) |
| 17 | [IONMHAS LIMITED](https://regulex.uk/practice/dashboard?crn=SC632601) CRN: SC632601 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC632601) |
| 18 | [KAFADVISORY LTD](https://regulex.uk/practice/dashboard?crn=SC833512) CRN: SC833512 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC833512) |
| 19 | [LENNOX FORENSIC ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=SC617369) CRN: SC617369 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC617369) |
| 20 | [LEX BUSINESS CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=SC725097) CRN: SC725097 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC725097) |
| 21 | [MACO BOOKS LTD](https://regulex.uk/practice/dashboard?crn=SC848087) CRN: SC848087 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC848087) |
| 22 | [MBLA ACCOUNTING FIRM LIMITED](https://regulex.uk/practice/dashboard?crn=SC844236) CRN: SC844236 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC844236) |
| 23 | [MY FINANCE DEPARTMENT LTD](https://regulex.uk/practice/dashboard?crn=SC835071) CRN: SC835071 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC835071) |
| 24 | [OMICRON CONSULTING INTERNATIONAL LIMITED](https://regulex.uk/practice/dashboard?crn=SC546754) CRN: SC546754 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC546754) |
| 25 | [RICHARD MCINTOSH LTD](https://regulex.uk/practice/dashboard?crn=SC575928) CRN: SC575928 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC575928) |
| 26 | [SAGACITY ADVISORY SERVICES LTD](https://regulex.uk/practice/dashboard?crn=SC871417) CRN: SC871417 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC871417) |
| 27 | [SER FINANCIAL SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=SC440673) CRN: SC440673 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC440673) |
| 28 | [SIGNATURE BOOKKEEPING - KSIEGOWOSC LTD](https://regulex.uk/practice/dashboard?crn=SC766701) CRN: SC766701 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC766701) |
| 29 | [STRIPE ACCOUNTANTS LTD](https://regulex.uk/practice/dashboard?crn=SC617163) CRN: SC617163 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC617163) |
| 30 | [SUTHERLAND BLACK (SCOTLAND) LTD](https://regulex.uk/practice/dashboard?crn=SC386109) CRN: SC386109 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC386109) |
| 31 | [THALER LIMITED](https://regulex.uk/practice/dashboard?crn=SC638704) CRN: SC638704 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC638704) |
| 32 | [TIGER DUCK LTD](https://regulex.uk/practice/dashboard?crn=SC836601) CRN: SC836601 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC836601) |
| 33 | [VERITAS PAYROLL SERVICES LTD](https://regulex.uk/practice/dashboard?crn=SC879818) CRN: SC879818 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC879818) |
| 34 | [WARDLE BUSINESS SOLUTIONS LIMITED](https://regulex.uk/practice/dashboard?crn=SC281925) CRN: SC281925 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC281925) |
| 35 | [WATTIE CONSULTING LIMITED](https://regulex.uk/practice/dashboard?crn=SC634573) CRN: SC634573 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC634573) |
| 36 | [WESYM LTD](https://regulex.uk/practice/dashboard?crn=SC826649) CRN: SC826649 • EH2 4AN | 4634 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC826649) |
| 37 | [STEEDMAN & COMPANY LIMITED](https://regulex.uk/practice/dashboard?crn=SC308700) CRN: SC308700 • EH2 1JE | 1666 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC308700) |
| 38 | [STEEDMAN GROUP LTD](https://regulex.uk/practice/dashboard?crn=SC707719) CRN: SC707719 • EH2 1JE | 1666 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC707719) |
| 39 | [CLOUD 9 ACCOUNTING TEAM LTD](https://regulex.uk/practice/dashboard?crn=SC642345) CRN: SC642345 • EH2 3JG | 1071 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC642345) |
| 40 | [AVONSIDE ACCOUNTS LTD](https://regulex.uk/practice/dashboard?crn=SC655499) CRN: SC655499 • EH2 3JP | 492 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC655499) |
| 41 | [BRYCE WILSON LIMITED](https://regulex.uk/practice/dashboard?crn=SC382589) CRN: SC382589 • EH2 3JP | 492 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC382589) |
| 42 | [CLOUD FINANCE & ACCOUNTING LTD](https://regulex.uk/practice/dashboard?crn=SC616707) CRN: SC616707 • EH2 3JP | 492 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC616707) |
| 43 | [MACDONALD ACCOUNTANCY SERVICES LIMITED](https://regulex.uk/practice/dashboard?crn=SC598078) CRN: SC598078 • EH2 3JP | 492 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC598078) |
| 44 | [PURPLE ZERO LTD](https://regulex.uk/practice/dashboard?crn=SC859566) CRN: SC859566 • EH2 3JP | 492 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC859566) |
| 45 | [RED VIKING FINANCE LTD](https://regulex.uk/practice/dashboard?crn=SC778975) CRN: SC778975 • EH2 3JP | 492 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC778975) |
| 46 | [D NAPIER ACCOUNTANCY LTD](https://regulex.uk/practice/dashboard?crn=SC554038) CRN: SC554038 • EH22 3NX | 251 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC554038) |
| 47 | [HGS CONSULTING LTD](https://regulex.uk/practice/dashboard?crn=SC401689) CRN: SC401689 • EH22 3NX | 251 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC401689) |
| 48 | [MELBARRY ACCOUNTANTS LIMITED](https://regulex.uk/practice/dashboard?crn=SC478439) CRN: SC478439 • EH22 3NX | 251 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC478439) |
| 49 | [SHANKS ACCOUNTING & ADVISORS LIMITED](https://regulex.uk/practice/dashboard?crn=SC407103) CRN: SC407103 • EH22 3NX | 251 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC407103) |
| 50 | [BRACEY'S ACCOUNTANTS (EDINBURGH) LIMITED](https://regulex.uk/practice/dashboard?crn=SC592666) CRN: SC592666 • EH2 4LH | 248 Co-Located | Register All-Clear | [Audit Practice Docket →](https://regulex.uk/practice/dashboard?crn=SC592666) |

### Key Commercial Postcode Clusters

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://regulex.uk/directory/postcode/EH2](https://regulex.uk/directory/postcode/EH2).
